Compiling wine 1.4.1 in Linux Mint 10

Questions about Wine on Linux
Locked
xibalba
Newbie
Newbie
Posts: 1
Joined: Tue Aug 21, 2012 4:59 pm

Compiling wine 1.4.1 in Linux Mint 10

Post by xibalba » Tue Aug 21, 2012 5:07 pm

The following notifications and warning appeared when I ran ./configure.

Code: Select all

configure: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
configure: OpenCL development files not found, OpenCL won't be supported.
configure: libhal development files not found, no legacy dynamic device support.
configure: libgnutls development files not found, no schannel support.
configure: libsane development files not found, scanners won't be supported.
configure: libv4l development files not found.
configure: libgphoto2 development files not found, digital cameras won't be supported.
configure: liblcms development files not found, Color Management won't be supported.
configure: gstreamer-0.10 base plugins development files not found, gstreamer support disabled
configure: OSS sound system found but too old (OSSv4 needed), OSS won't be supported.
configure: libcapi20 development files not found, ISDN won't be supported.
configure: libcups development files not found, CUPS won't be supported.
configure: libgsm development files not found, gsm 06.10 codec won't be supported.
configure: libmpg123 development files not found (or too old), mp3 codec won't be supported.
configure: libldap (OpenLDAP) development files not found, LDAP won't be supported.

configure: WARNING: prelink not found, base address of core dlls won't be set correctly.

configure: WARNING: libxslt development files not found, xslt won't be supported.
What should I do or apt-get to correct these warnings and address these notifications? Should I just go ahead and make Wine?

All I intend to do is run pSX 1.13 (the Windows version has a debugger) to play video games, use Windows-only hex editors, and maybe play Starcraft 1. Should I deal with these warnings and notifications, or are they irrelevant to my needs?

Locked